Bug 69736 - Fonts with undefined licensing included
Fonts with undefined licensing included
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
7.1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-24 17:07 EDT by Need Real Name
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-07-24 17:07:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-07-24 17:07:49 EDT
Description of Problem:
As far as i can tell some fonts in /usr/X11R6/lib/X11/fonts/latin2/Type1 are
simply Type1 convertions of well known MS core fonts(from both Microsoft and
Monotype foundries). Their presence(licensing) should be clarified. (As a side 
note its hard to justify non-inclusion of TrueType MS Web Core Fonts in this 
case)

Version-Release number of selected component (if applicable):
rpm -qf ariab___.pfb.gz yields XFree86-4.1.0-3 

How Reproducible:


Steps to Reproduce:
1. Install RedHat 7.1(or 7.2)
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Mike A. Harris 2002-07-25 05:03:30 EDT
Red Hat was recently made aware of the ulT1mo font collection allegedly
being based upon copyrighted fonts.  At the request of the copyright
holder, these fonts have been removed from all releases of Red Hat
Linux without disputing the validity of the alleged copyright holders
claims.

The various packages which previously contained these fonts, have been
updated to remove them, and new updated packages, and ISO images have
been made available for download from the Red Hat ftpsite, and via
up2date et al.

Updating to the latest software will remove these copyrighted fonts from
your system.

If you know of some location on the ftpsite or elsewhere which for some
reason still contains these fonts, please report it to us so that we
can have the files removed immediately.

Thank you for bringing this matter to our attention.
Comment 2 Mike A. Harris 2002-07-25 06:01:31 EDT
An additional note I'd like to comment on:

> (As a side note its hard to justify non-inclusion of TrueType MS Web
> Core Fonts in this case)

The inclusion of fonts which should not be included, is in no way whatsoever
justification for adding more fonts which should not be included.

I want to make it very clear, that the Microsoft web fonts, core fonts,
etc. or any other copyrighted fonts which are not legally redistributable
will not become part of Red Hat Linux.

The only fonts which will be included in Red Hat Linux are fonts which
come with XFree86 upstream sources, or external fonts which are freely
redistributable, and are under a license which is acceptable to Red Hat
for inclusion in the distribution.

We also will not include fonts in the distribution in which we have any
reason to believe the font author does not have the right to redistribute
or to claims copyright of.

Note You need to log in before you can comment on or make changes to this bug.